Bug 26080 - Use the task queue for the batch delete records tool
Summary: Use the task queue for the batch delete records tool
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL: https://gitlab.com/joubu/Koha/-/commi...
Keywords:
Depends on: 22417
Blocks: 28445 29149
  Show dependency treegraph
 
Reported: 2020-07-29 10:30 UTC by Jonathan Druart
Modified: 2021-10-08 13:44 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 26080: Use the task queue for batch delete biblios (18.95 KB, patch)
2020-07-29 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Some refactoring (20.32 KB, patch)
2020-07-29 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete authorities (9.70 KB, patch)
2020-07-29 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete biblios (19.02 KB, patch)
2021-06-23 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Some refactoring (20.42 KB, patch)
2021-06-23 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete authorities (9.68 KB, patch)
2021-06-23 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete biblios (19.61 KB, patch)
2021-07-27 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Some refactoring (20.42 KB, patch)
2021-07-27 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete authorities (10.63 KB, patch)
2021-07-27 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete biblios (19.66 KB, patch)
2021-08-20 07:08 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26080: Some refactoring (20.47 KB, patch)
2021-08-20 07:09 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete authorities (10.68 KB, patch)
2021-08-20 07:09 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete biblios (19.72 KB, patch)
2021-09-01 16:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26080: Some refactoring (20.53 KB, patch)
2021-09-01 16:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26080: Use the task queue for batch delete authorities (10.73 KB, patch)
2021-09-01 16:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26080: (QA follow-up) Minor template issues (2.71 KB, patch)
2021-09-01 16:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26080: (QA follow-up) Add POD (1.23 KB, patch)
2021-09-01 16:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-07-29 10:30:19 UTC

    
Comment 1 Jonathan Druart 2020-07-29 10:40:00 UTC
Created attachment 107483 [details] [review]
Bug 26080: Use the task queue for batch delete biblios

This patch takes advantage of the task queue to delegate the batch
delete biblios tool.

Test plan:
Delete bibliographic records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before
Comment 2 Jonathan Druart 2020-07-29 10:40:04 UTC
Created attachment 107484 [details] [review]
Bug 26080: Some refactoring

A new include file is created per background job to avoid
background_jobs.tt to grow too much
Comment 3 Jonathan Druart 2020-07-29 10:40:07 UTC
Created attachment 107485 [details] [review]
Bug 26080: Use the task queue for batch delete authorities

Same as the first patch, for authorities

Test plan:
Delete authority records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before
Comment 4 Hakam Almotlak 2021-06-23 14:27:04 UTC
patch does not apply 
error: sha1 information is lacking or useless (Koha/BackgroundJob.pm).
error: could not build fake ancestor
Patch failed at 0001 Bug 26080: Use the task queue for batch delete biblios
hint: Use 'git am --show-current-patch' to see the failed patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-26080-Use-the-task-queue-for-batch-delete-bibl-KTCIJD.patch
Comment 5 Jonathan Druart 2021-06-23 15:02:20 UTC
Created attachment 122347 [details] [review]
Bug 26080: Use the task queue for batch delete biblios

This patch takes advantage of the task queue to delegate the batch
delete biblios tool.

Test plan:
Delete bibliographic records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before
Comment 6 Jonathan Druart 2021-06-23 15:02:25 UTC
Created attachment 122348 [details] [review]
Bug 26080: Some refactoring

A new include file is created per background job to avoid
background_jobs.tt to grow too much
Comment 7 Jonathan Druart 2021-06-23 15:02:29 UTC
Created attachment 122349 [details] [review]
Bug 26080: Use the task queue for batch delete authorities

Same as the first patch, for authorities

Test plan:
Delete authority records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before
Comment 8 Jonathan Druart 2021-07-27 14:39:12 UTC
Created attachment 123214 [details] [review]
Bug 26080: Use the task queue for batch delete biblios

This patch takes advantage of the task queue to delegate the batch
delete biblios tool.

Test plan:
Delete bibliographic records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before
Comment 9 Jonathan Druart 2021-07-27 14:39:16 UTC
Created attachment 123215 [details] [review]
Bug 26080: Some refactoring

A new include file is created per background job to avoid
background_jobs.tt to grow too much
Comment 10 Jonathan Druart 2021-07-27 14:39:21 UTC
Created attachment 123216 [details] [review]
Bug 26080: Use the task queue for batch delete authorities

Same as the first patch, for authorities

Test plan:
Delete authority records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before
Comment 11 Fridolin Somers 2021-08-20 07:08:53 UTC
Created attachment 123989 [details] [review]
Bug 26080: Use the task queue for batch delete biblios

This patch takes advantage of the task queue to delegate the batch
delete biblios tool.

Test plan:
Delete bibliographic records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 12 Fridolin Somers 2021-08-20 07:09:14 UTC
Created attachment 123990 [details] [review]
Bug 26080: Some refactoring

A new include file is created per background job to avoid
background_jobs.tt to grow too much

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 13 Fridolin Somers 2021-08-20 07:09:51 UTC
Created attachment 123991 [details] [review]
Bug 26080: Use the task queue for batch delete authorities

Same as the first patch, for authorities

Test plan:
Delete authority records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 14 Fridolin Somers 2021-08-20 07:11:27 UTC
Works super.
I hope we will see all task queue refactoring in 21.11
Comment 15 Jonathan Druart 2021-08-25 09:33:20 UTC
(In reply to Fridolin Somers from comment #14)
> Works super.
> I hope we will see all task queue refactoring in 21.11

Test the other patches and make it happen! :)
Comment 16 Tomás Cohen Arazi 2021-09-01 16:25:39 UTC
Created attachment 124408 [details] [review]
Bug 26080: Use the task queue for batch delete biblios

This patch takes advantage of the task queue to delegate the batch
delete biblios tool.

Test plan:
Delete bibliographic records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 17 Tomás Cohen Arazi 2021-09-01 16:25:45 UTC
Created attachment 124409 [details] [review]
Bug 26080: Some refactoring

A new include file is created per background job to avoid
background_jobs.tt to grow too much

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 18 Tomás Cohen Arazi 2021-09-01 16:25:51 UTC
Created attachment 124410 [details] [review]
Bug 26080: Use the task queue for batch delete authorities

Same as the first patch, for authorities

Test plan:
Delete authority records using the batch record deletion tool
Confirm that the job is now delegated to the task queue and that
everything else is working as before

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 19 Tomás Cohen Arazi 2021-09-01 16:25:57 UTC
Created attachment 124411 [details] [review]
Bug 26080: (QA follow-up) Minor template issues

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 20 Tomás Cohen Arazi 2021-09-01 16:26:03 UTC
Created attachment 124412 [details] [review]
Bug 26080: (QA follow-up) Add POD

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 21 Jonathan Druart 2021-10-01 14:30:09 UTC
Pushed to master for 21.11, thanks to everybody involved!